using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.IO;
using System.Text;
using System.Xml;
using System.Collections.Generic;


public partial class Admin_DH_YeMianXiTong : System.Web.UI.Page
{
    private 访问 访问;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("页面系统", "网站后台", "页面系统", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }
    private void ZhiXing()
    {
        访问.验证管理员();

        Dictionary<int, 页面> 内容页面 = new Dictionary<int, 页面>();

        FileInfo[] FIS = new DirectoryInfo(Server.MapPath("~/Template/Content/" + 程序.设置["默认模板"] + "/SystemPage/")).GetFiles();
        for (int i = 0; i < FIS.Length; i++)
        {
            FileInfo FI = FIS[i];
            int ID=Convert.ToInt32(FI.Name.Substring(0, FI.Name.IndexOf('.')));
            内容页面.Add(ID, new 页面(ID, false, true));
        }

        Dictionary<int, 页面> 社区页面 = new Dictionary<int, 页面>();

        FIS = new DirectoryInfo(Server.MapPath("~/Template/Club/" + 程序.设置["默认社区模板"] + "/SystemPage/")).GetFiles();
        for (int i = 0; i < FIS.Length; i++)
        {
            FileInfo FI = FIS[i];
            int ID=Convert.ToInt32(FI.Name.Substring(0, FI.Name.IndexOf('.')));
            社区页面.Add(ID, new 页面(ID, false,false));
        }

        TreeNode 内容节点 = new TreeNode("内容页面(/)", "主目录", "images/folder.png");
        内容节点.SelectAction = TreeNodeSelectAction.Select;
        内容节点.Target = "XinXi";
        TreeView1.Nodes.Add(内容节点);

        生成页面(内容页面, 内容节点, 0,true);

        TreeNode 社区节点 = new TreeNode("社区页面(/)", "主目录", "images/folder.png");
        社区节点.SelectAction = TreeNodeSelectAction.Select;
        社区节点.Target = "XinXi";
        TreeView1.Nodes.Add(社区节点);

        生成页面(社区页面, 社区节点, 0,false);
    }

    private void 生成页面(Dictionary<int, 页面> 内容页面, TreeNode 节点, int 父页面,bool 是否内容)
    {
        foreach (int 键 in 内容页面.Keys)
        {
            页面 页面 = 内容页面[键];

            if (页面.上级ID != 父页面)
                continue;

            String 图标 = "images/";
            if (页面.是否包含子节点)
                图标 += "folder.png";
            else if (页面.页面类型)
                图标 += "wappage.png";
            else
                图标 += "3gpage.png";

            TreeNode 页面节点 = new TreeNode(页面.页面名称, "页面", 图标);
            页面节点.SelectAction = TreeNodeSelectAction.Select;
            页面节点.NavigateUrl = "PageSystem/Page.aspx?ID=" + 页面.ID+"&iscontent="+是否内容;
            页面节点.Target = "XinXi";

            节点.ChildNodes.Add(页面节点);

            生成页面(内容页面, 页面节点, 页面.ID,是否内容);
        }
    }
}
